#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'mailinfo.manajemail'}
#{/set}

<div class="breadcrumb">&{'mailinfo.manajemail'}</div>
<div class="content">
#{if active_user.adminPPE} *{ Bagian ini khusus admin PPE }*
<div class="panel panel-info">
	<div class="panel-heading">&{'mailinfo.info'}
		<span class="pull-right"><a href="@{admin.EmailCtr.infoServer()}" class="badge">Edit</a></span>
	</div>
	<table class="table table-sm table-bordered" id="settingMail">
		<tr>
			<th width="150">&{'mailinfo.smtp'}</th><td>${mail_server}</td>
			<th width="100">&{'mailinfo.port'}</th><td>${mail_port}</td>
			<th width="100">&{'mailinfo.delaywawktu'}</th><td>${mail_delay} &{'mailinfo.detik'}</td>
		</tr>
		<tr><th>Default Sender</th><td>${mail_sender}</td>
			<th>Retry</th><td>${mail_retry}</td>
			<td colspan="2"></td>
		</tr>		
	</table>
</div>
#{/if}
<div class="btn-group pull-right" style="padding-bottom:30px;">
   <button id="belum-terkirim" type="button" class="btn btn-default active">&{'mailinfo.belumterkirim'}</button>
   <button id="terkirim" type="button" class="btn btn-default">&{'mailinfo.terkirim'}</button>
   <button id="gagal-terkirim" type="button" class="btn btn-default">&{'mailinfo.gagalkirim'}</button>
</div>
<div class="clearfix"></div>
#{alert /}
<table class="table table-sm" id="tblEmail">
        <thead>
        <tr>
            <td width="20" ><input type="checkbox" class="checkall" /></td>
            <th>&{'mailinfo.id'}</th>
            <th>&{'mailinfo.to'}</th>
            <th>&{'mailinfo.subjek'}</th>
            <th>&{'mailinfo.enqueue'}</th>
            <th width="10">&{'mailinfo.rentry'}</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
<button id="kirim" class="btn btn-success">&{'mailinfo.kirimulang'}</button>
#{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/dataTables.checkboxes.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var source  = #{jsRoute @DataTableCtr.email(':id') /};
var View = #{jsRoute @admin.EmailCtr.view(':id') /};
var table = $("#tblEmail").DataTable({
         columnDefs: [{
                targets: 0, searchable : false,
                render: function(data, type, row, meta){
                    if(type === 'display'){
                        data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>';
                    }
                    var ids = row[0];
                    var to_addr = row[2];
                    row[2] = to_addr;
                    row[1] =  "<a href='"+View.url({id:ids})+"' target='_blank'>"+ids+"</a>";
                    return data;
                },
                checkboxes: { selectRow: true,  selectAllRender: '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'}
            }] ,
        select: 'multi',
        order: [[ 1, "desc"]],
        ajax: "@{DataTableCtr.email(status)}"
    });

    $('#tblEmail_filter input').unbind();
    $('#tblEmail_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });

     $('form').on('submit', function(e){
         var $form = $(this);
         var selected = table.rows( { selected: true } ).data();
         selected.each(function(res){
             if(!(res[0] === null || res[0] === '')) {
                 $form.append($('<input>').attr('type', 'hidden').attr('name', 'chkEmail').val(res[0]));
             }
         });
     });

$('#belum-terkirim').click(function(){
    $(this).addClass("active");
    $('#terkirim').removeClass("active");
    $('#gagal-terkirim').removeClass("active");
	table.ajax.url(source.url({id:0})).load()
});
$('#terkirim').click(function(){
    $(this).addClass("active");
    $('#belum-terkirim').removeClass("active");
    $('#gagal-terkirim').removeClass("active");
    table.ajax.url(source.url({id:1})).load();
});
$('#gagal-terkirim').click(function(){
    $(this).addClass("active");
    $('#belum-terkirim').removeClass("active");
    $('#terkirim').removeClass("active");
    table.ajax.url(source.url({id:2})).load();
});
</script>
#{/set}
